import { jsx } from "react/jsx-runtime";
import { Share as Share$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Share = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Share", ...props, children: /* @__PURE__ */ jsx(Share$1, { weight: variant }) });
  }
);
Share.displayName = "Share";
Object.assign(Share, { isGdsIcon: true });
export {
  Share
};
